import type { UmbBlockGridLayoutModel, UmbBlockGridTypeModel } from '../../types.js';
import { UMB_BLOCK_GRID_MANAGER_CONTEXT } from '../../block-grid-manager/block-grid-manager.context-token.js';
import { UMB_BLOCK_GRID_ENTRIES_CONTEXT } from '../block-grid-entries/block-grid-entries.context-token.js';
import { UmbBlockGridScaleManager } from '../../context/block-grid-scale-manager/block-grid-scale-manager.controller.js';
import type { UmbBlockGridScalableContext } from '../../context/block-grid-scale-manager/block-grid-scale-manager.controller.js';
import { UmbBlockEntryContext } from '../../../block/index.js';
import type { UmbControllerHost } from '../../../../../libs/controller-api/index.js';
export declare class UmbBlockGridEntryContext extends UmbBlockEntryContext<typeof UMB_BLOCK_GRID_MANAGER_CONTEXT, typeof UMB_BLOCK_GRID_MANAGER_CONTEXT.TYPE, typeof UMB_BLOCK_GRID_ENTRIES_CONTEXT, typeof UMB_BLOCK_GRID_ENTRIES_CONTEXT.TYPE, UmbBlockGridTypeModel, UmbBlockGridLayoutModel> implements UmbBlockGridScalableContext {
    #private;
    readonly columnSpan: import("rxjs").Observable<number | undefined>;
    readonly rowSpan: import("rxjs").Observable<number | undefined>;
    readonly layoutAreas: import("rxjs").Observable<import("../../types.js").UmbBlockGridLayoutAreaItemModel[] | undefined>;
    readonly columnSpanOptions: import("rxjs").Observable<import("../../types.js").UmbBlockGridTypeColumnSpanOption[]>;
    readonly areaTypeGridColumns: import("rxjs").Observable<number | undefined>;
    readonly areas: import("rxjs").Observable<import("../../types.js").UmbBlockGridTypeAreaType[]>;
    readonly minMaxRowSpan: import("rxjs").Observable<number[] | undefined>;
    readonly forceHideContentEditorInOverlay: import("rxjs").Observable<boolean | undefined>;
    getMinMaxRowSpan(): [number, number] | undefined;
    readonly inlineEditingMode: import("rxjs").Observable<boolean>;
    readonly relevantColumnSpanOptions: import("rxjs").Observable<number[]>;
    getRelevantColumnSpanOptions(): number[];
    readonly canScale: import("rxjs").Observable<boolean>;
    readonly isAllowed: import("rxjs").Observable<boolean>;
    readonly areaGridColumns: import("rxjs").Observable<number | undefined>;
    readonly showContentEdit: import("rxjs").Observable<boolean>;
    readonly isSortMode: import("rxjs").Observable<boolean | undefined>;
    readonly scaleManager: UmbBlockGridScaleManager;
    constructor(host: UmbControllerHost);
    layoutsOfArea(areaKey: string): import("rxjs").Observable<UmbBlockGridLayoutModel[] | undefined>;
    areaType(areaKey: string): import("rxjs").Observable<import("../../types.js").UmbBlockGridTypeAreaType | undefined>;
    setLayoutsOfArea(areaKey: string, layouts: UmbBlockGridLayoutModel[]): void;
    /**
     * Set the column span of this entry.
     * @param columnSpan {number} The new column span.
     */
    setColumnSpan(columnSpan: number): void;
    /**
     * Get the column span of this entry.
     * @returns {number} The column span.
     */
    getColumnSpan(): number | undefined;
    /**
     * Set the row span of this entry.
     * @param rowSpan {number} The new row span.
     */
    setRowSpan(rowSpan: number): void;
    /**
     * Get the row span of this entry.
     * @returns {number} The row span.
     */
    getRowSpan(): number | undefined;
    protected _gotManager(): void;
    protected _gotEntries(): void;
    protected _gotContentType(): void;
    copyToClipboard(): Promise<void>;
}
